import sqlite3

db_co = sqlite3.connect("chonmage.db")
db_cu = db_co.cursor()

db_cu.execute("ALTER TABLE `chonmage_files` ADD COLUMN `category` TEXT NOT NULL DEFAULT 'other'")
db_cu.execute("ALTER TABLE `chonmage_tags_cache` ADD COLUMN `category` TEXT NOT NULL DEFAULT 'other'")
db_cu.execute("CREATE INDEX `idx_10` ON `chonmage_files`(`category`, `created`)")
db_cu.execute("CREATE INDEX `idx_11` ON `chonmage_files`(`category`, `last_updated`)")
db_cu.execute("CREATE INDEX `idx_12` ON `chonmage_files`(`owner`, `category`)")
db_cu.execute("CREATE INDEX `idx_tc6` ON `chonmage_tags_cache`(`tag_name`, `category`, `created`)")
db_cu.execute("UPDATE `chonmage_files` SET `category` = 'image' WHERE `file_format` = 'png' OR `file_format` = 'jpeg' OR `file_format` = 'gif'")

db_co.commit()
db_co.close()

print("データベース更新が完了しました")
